{ inputs, ... }: {
  flake.modules.nixos.development-tools = { pkgs, ... }: {
    imports = with inputs.self.modules.nixos; [
      rust
    ];

    environment.systemPackages = with pkgs; [
      cmake
      gnumake
      clang
      gcc
    ];

    programs.direnv = {
      enable = true;
      enableZshIntegration = true;
      silent = true;
      nix-direnv.enable = true;
    };
  };
}
